%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.10
%global pypi_name insights-analytics-collector
%global pypi_version 0.3.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.2%{?dist}
Summary:        Collector Package for Insights for AAP

License:        Apache
URL:            https://github.com/RedHatInsights/insights-analytics-collector/
Source0:        insights-analytics-collector-0.3.2.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%description
This package helps with collecting data by user-defined collector methods.
It packs collected data to one or more tarballs and sends them to user-defined URL.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}dist(django)
Requires:       python%{python3_pkgversion}dist(requests)
%description -n python%{python3_pkgversion}-%{pypi_name}
This package helps with collecting data by user-defined collector methods.
It packs collected data to one or more tarballs and sends them to user-defined URL.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

#remove test from generic dir
rm -rf %{buildroot}/%{python3_sitelib}/tests

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/insights_analytics_collector
%{python3_sitelib}/insights_analytics_collector-%{pypi_version}-py%{python3_pkgversion}.egg-info

%changelog
* Tue Aug 27 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 3.1.17-1.0.2
- Remove incorrectly installed tests

* Fri Aug 23 2024 Carlos Heiras <carlos.heiras@oracle.com> - 3.1.17-1.0.1
- Fix typo on requirement package name prefix.

* Thu Aug 01 2024 David Sloboda <david.x.sloboda@oracle.com> - 3.1.17-1
- Initial package.
